How to prevent server_version error from Doctrine during instalation?

Using this command
./vendor/bin/pimcore-install --mysql-host-socket=/opt/percona-server/5.7.22-22/var/mysql.sock
produces
[ERROR] The following errors were encountered during installation

  • An exception occured while establishing a connection to figure out your platform version.
    You can circumvent this by setting a ‘server_version’ configuration value

For further information have a look at:
doctrine/DoctrineBundle#673

I was unable to find a way to provide server_version

2 Likes

I’m fighting the same issue, using a TCP connection. Any workarounds?